package com.shixing.sxedit.types;

/**
 * 素材类型
 *
 * */
public enum SXResourceType{
    /**
     * 未知
     * */
    Unknown(0),
    /**
     * 纹理
     * */
    Texture(1),
    /**
     * 合成
     * */
    Composite(2),
    /**
     * 音频
     * */
    AudioFile(3),             // 音频文件或有音轨的视频文件
    /**
     * 视频
     * */
    MediaFile(4),             // 媒体文件包，没有数据文件
    /**
     * 贴纸模板包
     * */
    Sticker(5),               // 贴纸包
    /**
     * 文字样式模板包
     * */
    TextStyle(6),
    /**
     * 文字气泡模板包
     * */
    TextBubble(7),
    /**
     * 文字动画模板包
     * */
    TextAnimation(8),
    /**
     * 滤镜模板包
     * */
    Filter(9),
    /**
     * 转场模板包
     * */
    Transition(10),
    /**
     * 视频动画模板包
     * */
    Animation(11),
    /**
     * 视频特效模板包
     * */
    VideoEffect(12),
    /**
     * 轨道动画模板包
     * */
    TrackAnimation(13);

    public final int value;

    SXResourceType(int value) {
        this.value = value;
    }
}
